# Check Client backup

## Introduction

**check_client_backup** is a plugin to show the backup status of IML Backup.

📄 Source: <https://git-repo.iml.unibe.ch/iml-open-source/iml-backup/>
📜 License: GNU GPL 3.0
📖 Docs: see docs folder or online <https://os-docs.iml.unibe.ch/iml-backup/>

## Requirements

* `IML Backup` must be installed.

## Syntax

```txt
./check_clientbackup -h
______________________________________________________________________

CHECK_CLIENTBACKUP 
v1.12

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3
______________________________________________________________________

Show status of IML backup.
See https://os-docs.iml.unibe.ch/iml-backup/

It returns with state UNKNOWN if no backup has been performed yet.
It switches to ERROR an error occured during backup process.

SYNTAX:
check_clientbackup [-d DIRECTORY]

OPTIONS:
    -h or --help   show this help.
    -d or --dir    set installation dir of iml backup to find its check skript
                   default: /opt/imlbackup/client/

EXAMPLE:
check_clientbackup -d /home/backup/imlbackup
                   set a custom directory und run the backup check

```

## Examples

`$ ./check_clientbackup -d ~/skripte/iml-backup/client/` returns

```txt
OK Client Backup - WITH transfer - last backup log: auto-20230622-091201.log (1 h ago)  OK: backup is younger than 24 hours  - OK: 10 ... Errors: 0

--- transfer:
__REPO__ OK, Backup repository already exists.
__BACKUP__ OK - DIR /var/localdumps/backup
__BACKUP__ OK - DIR /boot
__BACKUP__ OK - DIR /etc
__BACKUP__ OK - DIR /home

__LAST__backup  1 h ago
__LAST__prune   3 days ago
__LAST__verify  1 days ago
```

If you have a database service (Mysql/ MariaD, Postgres, ...) you will get a list of dumped databases.
